# Mynote

Mynote is a WordPress theme with preferred features for developers and programmers.

![Screenshot](./screenshot.png)

A responsive, clean, Markdown friendly WordPress blog theme. It is based on Bootstrap 4 and Fontawesome 5. It is suitable for programming, business, technical, professional, niche and any kind of blogging sites. Mynote has landing-page templates so that can your highly customize your homepage, make your website unique and professional.

## Download

| source | download | 
| --- | --- | 
| WordPress | https://wordpress.org/themes/mynote/ |
| GitHub repository | https://github.com/terrylinooo/mynote/releases | 
| PHP Composer | `composer create-project terrylinooo/mynote mynote` |

## Features

- Markdown friendly
- Fully reponsive web design
- Search engine optimization
- Highly customizable
- Structured data supported:
  - Breadcrumb
  - Article
  - Author
  - Date
- Widget areas
  - Sidebar
  - Sticky sidebar
  - Footer
  - Homepage intro
  - Homepage middle
- Widgets:
  - Sticky TOC
- Menu areas:
  - Header
  - Sidebar
  - Footer
  - Footer social icon links
- Bootstrap 4 pagination
- Bootstrap 4 navigation menu (2-layer)
- Page reading progress bar
- Page templates:
  - Landing page (full) (with post content) *(#2)*
  - Landing page (simple) (without post content) *(#3)*
- Cross-platform safe webfont for CJK languages. *(#1)*
- SCSS supported - Easy to modify this theme for your needs.
- WordPress Coding Standards - 99% passed by PHP_CodeSniffer ([WDCS](https://github.com/WordPress-Coding-Standards/WordPress-Coding-Standards))

*Note:*

`#1` CJK: Chinese, Japanese, Koreanese.
`#2`, `#3` Featured image will be displayed as header cover.

## Built-in Hooks

- mynote_head
- mynote_header_before
- mynote_header
- mynote_header_after
- mynote_site_wrapper_before
- mynote_site_wrapper_after
- mynote_footer_before
- mynote_footer
- mynote_footer_after
- mynote_homepage_promotion
- mynote_homepage_sidebar
- mynote_homepage_middle_sidebar
- mynote_loop_before
- mynote_loop_after
- mynote_pagination_before
- mynote_pagination
- mynote_pagination_after
- mynote_post_before
- mynote_post_content_before
- mynote_post_content_after
- mynote_post_after
- mynote_post_sidebar
- mynote_post_comment_before
- mynote_post_comment_after
- mynote_page_before
- mynote_page_content_before
- mynote_page_content_after
- mynote_page_after
- mynote_archive_sidebar
- mynote_archive_headline_after
- mynote_archive_loop_before
- mynote_archive_loop_after
- mynote_category_headline_after
- mynote_tag_headline_after
- mynote_search_headline_after

## Child Theme

If you would like to customize something by using Mynote, there is a sample ready for you, just copy `mynote-child` into your WordPress theme directory, and then activate the `Mynote Child` theme in the control panel.

## Dependencies

- Bootstrap 4
- Fontawesome 5

## Translations

- Portuguese (pt_BR) by @mauromascarenhas

## Author

Terry L.
- [Blog - English](https://terryl.in/) 
- [Blog - Tranditional Chinese](https://terryl.in/zh/)

## Plugins 
- [Githuber MD](https://github.com/terrylinooo/githuber-md) is an all-in-one [WordPress Markdown plugin](https://wordpress.org/plugins/wp-githuber-md/). You are able to download it from WordPress plugin directory. To get the additional features of Mynote theme below by install Githuber MD plugin. If you're looking for an useful Markdown editor in WordPress, Githuber MD may be good for you. It is worth to give it a try!

## License

GPLv3 (or later)
